<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Insert pre-assembled Plotly chart — insert_plotly • rdb.report</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Insert pre-assembled Plotly chart — insert_plotly"><meta name="description" content="Inserts a pre-assembled Plotly chart into a Quarto or R Markdown document."><meta property="og:description" content="Inserts a pre-assembled Plotly chart into a Quarto or R Markdown document."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb.report</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9016</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb-report.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb.report/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Insert pre-assembled Plotly chart</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb.report/blob/HEAD/R/rdb.report.gen.R" class="external-link"><code>R/rdb.report.gen.R</code></a></small>
      <div class="d-none name"><code>insert_plotly.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Inserts a <a href="preassemble.html">pre-assembled</a> Plotly chart into a Quarto or R Markdown document.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">insert_plotly</span><span class="op">(</span></span>
<span>  <span class="va">id</span>,</span>
<span>  htmlwidget <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  htmlwidget_asis <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  non_html_ext <span class="op">=</span> <span class="st">"pdf"</span>,</span>
<span>  inline_svg <span class="op">=</span> <span class="cn">TRUE</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-id">id<a class="anchor" aria-label="anchor" href="#arg-id"></a></dt>
<dd><p>Plot identifier. A character scalar.</p></dd>


<dt id="arg-htmlwidget">htmlwidget<a class="anchor" aria-label="anchor" href="#arg-htmlwidget"></a></dt>
<dd><p>Whether or not to include the plot as an htmlwidget for HTML output. If <code>FALSE</code>, the plot is included as a static SVG instead (inlined if
<code>inline_svg = TRUE</code>).</p></dd>


<dt id="arg-htmlwidget-asis">htmlwidget_asis<a class="anchor" aria-label="anchor" href="#arg-htmlwidget-asis"></a></dt>
<dd><p>Whether or not to return the result for HTML output <code><a href="https://rdrr.io/pkg/knitr/man/knit_print.html" class="external-link">knitr::knit_print()</a></code>ed and marked as <code><a href="https://rdrr.io/pkg/knitr/man/asis_output.html" class="external-link">knit_asis</a></code>. See
section <strong>Details</strong> below. Only relevant if <code>htmlwidget = TRUE</code>.</p></dd>


<dt id="arg-non-html-ext">non_html_ext<a class="anchor" aria-label="anchor" href="#arg-non-html-ext"></a></dt>
<dd><p>File extension of the image for non-HTML output. One of</p><ul><li><p><code>"eps"</code></p></li>
<li><p><code>"pdf"</code></p></li>
<li><p><code>"png"</code></p></li>
<li><p><code>"ps"</code></p></li>
<li><p><code>"svg"</code></p></li>
<li><p><code>"webp"</code></p></li>
</ul></dd>


<dt id="arg-inline-svg">inline_svg<a class="anchor" aria-label="anchor" href="#arg-inline-svg"></a></dt>
<dd><p>Whether or not to directly inline the plot's SVG for HTML output. If <code>FALSE</code>, the plot's SVG file is referenced via an <code>&lt;img&gt;</code> tag. Only
relevant if <code>htmlwidget = FALSE</code>.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>For HTML output when <code>htmlwidget = TRUE</code>, a <a href="https://rdrr.io/pkg/plotly/man/plot_ly.html" class="external-link">plotly object</a>, or the result of it fed to
<code><a href="https://rdrr.io/pkg/knitr/man/knit_print.html" class="external-link">knitr::knit_print()</a></code> and <code><a href="https://rdrr.io/pkg/knitr/man/asis_output.html" class="external-link">knitr::asis_output()</a></code> when <code>htmlwidget_asis = TRUE</code>. In all other cases, the result of feeding the plot's static version image
path to <code><a href="https://rdrr.io/pkg/knitr/man/include_graphics.html" class="external-link">knitr::include_graphics()</a></code>.</p>
    </div>
    <div class="section level2">
    <h2 id="details">Details<a class="anchor" aria-label="anchor" href="#details"></a></h2>
    <p>When both <code>htmlwidget</code> and <code>htmlwidget_asis</code> are set to <code>TRUE</code>, the HTML output is <code><a href="https://rdrr.io/pkg/knitr/man/knit_print.html" class="external-link">knitr::knit_print()</a></code>ed and marked as <code><a href="https://rdrr.io/pkg/knitr/man/asis_output.html" class="external-link">knit_asis</a></code>.
Consequently, the Plotly JS and CSS dependencies then need to be included manually. A convenient way for Quarto documents is to
<a href="https://quarto.org/docs/authoring/includes.html" class="external-link">include</a> a dedicated <code>.qmd</code> file snippet in each main Quarto document where <code>insert_plotly()</code> is used,
containing the following file content:</p>
<p></p><div class="sourceCode"><pre><code><span id="cb1-1"><a href="#cb1-1" tabindex="-1"></a><span class="st">```</span><span class="at">{r}</span></span>
<span id="cb1-2"><a href="#cb1-2" tabindex="-1"></a><span class="at">#| label: plotly_deps</span></span>
<span id="cb1-3"><a href="#cb1-3" tabindex="-1"></a><span class="at">#| include: false</span></span>
<span id="cb1-4"><a href="#cb1-4" tabindex="-1"></a></span>
<span id="cb1-5"><a href="#cb1-5" tabindex="-1"></a><span class="at">plotly::plot_ly(type = "scatter",</span></span>
<span id="cb1-6"><a href="#cb1-6" tabindex="-1"></a><span class="at">                mode = "lines") %&gt;%</span></span>
<span id="cb1-7"><a href="#cb1-7" tabindex="-1"></a><span class="at">  plotly::partial_bundle(type = "strict") %&gt;%</span></span>
<span id="cb1-8"><a href="#cb1-8" tabindex="-1"></a><span class="at">  knitr::knit_print() %&gt;%</span></span>
<span id="cb1-9"><a href="#cb1-9" tabindex="-1"></a><span class="at">  attr('knit_meta') %&gt;%</span></span>
<span id="cb1-10"><a href="#cb1-10" tabindex="-1"></a><span class="at">  knitr::knit_meta_add() %&gt;%</span></span>
<span id="cb1-11"><a href="#cb1-11" tabindex="-1"></a><span class="at">  invisible()</span></span>
<span id="cb1-12"><a href="#cb1-12" tabindex="-1"></a><span class="st">```</span></span></code></pre><p></p></div>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other functions around <span style="R">R</span> object pre-assembly:
<code><a href="insert_gt.html">insert_gt</a>()</code>,
<code><a href="load_obj.html">load_obj</a>()</code>,
<code><a href="ls_objs.html">ls_objs</a>()</code>,
<code><a href="preassemble.html">preassemble</a>()</code></p></div>
    </div>

  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

